Polyline array script

Dear all,
I’m using Rhino 7 beta and I’m trying to do a simple thing like drawing rectangle polyline.
I tried to follow the instructions from the script help and wrote the code like this:

Call Rettangolo01
Sub Rettangolo01
	Dim arrPointCloud(4)
	arrPointCloud(0) = Array(0, 0, 0)
	arrPointCloud(1) = Array(0, 20, 0)
	arrPointCloud(2) = Array(20, 20, 0)
	arrPointCloud(3) = Array(20, 0, 0)
	arrPointCloud(4) = Array(0, 0, 0)
	Rhino.AddPolyline arrPointCloud(4)
End Sub

Unlukly I always get the error message:

Error: Typemismatch in parameter. Array required.

Can anyone help me figure out what am I wrong?
Many thanks in advance,
Laura

Hi @laura.micoli,

Try this:

Call Rettangolo01

Sub Rettangolo01
	Dim arrPointCloud(4)
	arrPointCloud(0) = Array(0, 0, 0)
	arrPointCloud(1) = Array(0, 20, 0)
	arrPointCloud(2) = Array(20, 20, 0)
	arrPointCloud(3) = Array(20, 0, 0)
	arrPointCloud(4) = Array(0, 0, 0)
	Rhino.AddPolyline arrPointCloud
End Sub

– Dale

Hi, it works!
Thanks a lot!